server {
    listen       5999;
    server_name  localhost;

    charset utf-8;

    location ~ /api/v1/rec/service/ {
        proxy_pass              http://8.142.122.40:8862;

        proxy_set_header        Host                                    $host;
        proxy_set_header        X-Real-IP                               $remote_addr;
        proxy_set_header        REMOTE-HOST                             $remote_addr;
        proxy_set_header        X-Forwarded-For                         $proxy_add_x_forwarded_for;
    }
}
